<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <style type="text/css">
        .btnStyling {
            display: inline;
        }
        
        .btnStyling #gbtn {
            margin-left: 20px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Scopes in JavaScript</h2>
        <hr />

        <!-- Global and Local scoped variables in javascript language -->
        <h6 class="text-info">Click the buttons to display the <em>Global</em> and <em>Local</em> scoped variables.</h6>
        <div>&nbsp;</div>

        <span class="btnStyling">
			<button id="lbtn" type="button" class="btn btn-success" onclick="local();">Local Variable</button>			
			<button id="gbtn" type="button" class="btn btn-danger" onclick="global();">Global Variable</button>
        </span>
        <div>&nbsp;</div>
    </div>
    <script>
        // Global scoped variable.
        username = "Philip Pan";

        function local() {
            // Local scoped variable.
            var username = "John Lark";
            alert("Local scope variable= " + username); // Output is - John Lark
        }

        function global() {
            alert("Global scope variable= " + username); // Output is - Philip Pan
        }
    </script>
</body>

</html>